API reference

Account and numbers API

Sign up, manage the account, team members and API keys, add and remove WhatsApp numbers, configure webhooks, Ban Shield and failover, and read analytics.

GET /api/account

Get account. Authenticate with your account api key.

curl -X GET https://agakural.online/api/account \
  -H "Authorization: Bearer $TOKEN"

PATCH /api/account

Update account. Authenticate with your account api key.

FieldInTypeRequiredNotes
namebodystringNoUp to 120 characters
phonebodystringNoUp to 20 characters
curl -X PATCH https://agakural.online/api/account \
  -H "Authorization: Bearer $TOKEN"

POST /api/account/api-key

Create account api key. Authenticate with your account api key.

curl -X POST https://agakural.online/api/account/api-key \
  -H "Authorization: Bearer $TOKEN"

PUT /api/account/history

Update account history. Authenticate with your account api key.

FieldInTypeRequiredNotes
daysbodyintegerYesRange 0–90
consentbodybooleanNo
curl -X PUT https://agakural.online/api/account/history \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"days": 1}'

POST /api/account/password

Create account password. Authenticate with your account api key.

FieldInTypeRequiredNotes
currentbodystringNo
nextbodystringYesUp to 200 characters
curl -X POST https://agakural.online/api/account/password \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"next": "next"}'

GET /api/analytics

Get analytics. Authenticate with your account api key.

FieldInTypeRequiredNotes
daysqueryintegerNoRange 7–90
curl -X GET https://agakural.online/api/analytics \
  -H "Authorization: Bearer $TOKEN"

POST /api/channels

Create channels. Authenticate with your account api key.

FieldInTypeRequiredNotes
namebodystringNoUp to 60 characters
curl -X POST https://agakural.online/api/channels \
  -H "Authorization: Bearer $TOKEN"

DELETE /api/channels/{id}

Delete a channels. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
curl -X DELETE https://agakural.online/api/channels/{id} \
  -H "Authorization: Bearer $TOKEN"

GET /api/channels/{id}

Get one channel. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
curl -X GET https://agakural.online/api/channels/{id} \
  -H "Authorization: Bearer $TOKEN"

PATCH /api/channels/{id}

Update a channels. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
namebodystringNo
webhook_urlbodystringNo
webhook_eventsbodyarray of objectNo
webhook_headersbodyobjectNo
daily_cap_overridebodyintegerNoRange 1–5000
min_delay_msbodyintegerNoRange 0–120000
max_delay_msbodyintegerNoRange 0–300000
proxy_urlbodystringNo
standby_channel_idbodystringNo
failover_messagebodystringNoUp to 1000 characters
reject_callsbodybooleanNo
reject_messagebodystringNoUp to 1000 characters
curl -X PATCH https://agakural.online/api/channels/{id} \
  -H "Authorization: Bearer $TOKEN"

GET /api/channels/{id}/ban-credit

Get channels ban credit. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
curl -X GET https://agakural.online/api/channels/{id}/ban-credit \
  -H "Authorization: Bearer $TOKEN"

GET /api/channels/{id}/bot

Get channels bot. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
curl -X GET https://agakural.online/api/channels/{id}/bot \
  -H "Authorization: Bearer $TOKEN"

PUT /api/channels/{id}/bot

Update channels bot. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
enabledbodybooleanYes
welcomebodyobjectYes
awaybodyobjectYes
rulesbodyarray of objectYes
curl -X PUT https://agakural.online/api/channels/{id}/bot \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"enabled": true, "welcome": "welcome", "away": "away", "rules": []}'

POST /api/channels/{id}/bot/test

Create channels bot test. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
textbodystringYesUp to 1000 characters
firstbodybooleanNo
namebodystringNoUp to 60 characters
curl -X POST https://agakural.online/api/channels/{id}/bot/test \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"text": "text"}'

POST /api/channels/{id}/connect-link

Create channels connect link. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
curl -X POST https://agakural.online/api/channels/{id}/connect-link \
  -H "Authorization: Bearer $TOKEN"

POST /api/channels/{id}/failover

Create channels failover. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
curl -X POST https://agakural.online/api/channels/{id}/failover \
  -H "Authorization: Bearer $TOKEN"

GET /api/channels/{id}/logs

Get channels logs. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
curl -X GET https://agakural.online/api/channels/{id}/logs \
  -H "Authorization: Bearer $TOKEN"

GET /api/channels/{id}/qr

Get channels qr. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
curl -X GET https://agakural.online/api/channels/{id}/qr \
  -H "Authorization: Bearer $TOKEN"

POST /api/channels/{id}/restart

Create channels restart. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
curl -X POST https://agakural.online/api/channels/{id}/restart \
  -H "Authorization: Bearer $TOKEN"

POST /api/channels/{id}/webhook/test

Create channels webhook test. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
curl -X POST https://agakural.online/api/channels/{id}/webhook/test \
  -H "Authorization: Bearer $TOKEN"

POST /api/channels/{id}/webhooks

Create channels webhooks. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
urlbodystringYes
headersbodyobjectNo
eventsbodyarray of objectNo
curl -X POST https://agakural.online/api/channels/{id}/webhooks \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"url": "url"}'

DELETE /api/channels/{id}/webhooks/{hook}

Delete a channels webhooks. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
hookpathstringYes
curl -X DELETE https://agakural.online/api/channels/{id}/webhooks/{hook} \
  -H "Authorization: Bearer $TOKEN"

GET /api/features

Get features. Authenticate with your account api key.

curl -X GET https://agakural.online/api/features \
  -H "Authorization: Bearer $TOKEN"

POST /api/login

Create login. Authenticate with your account api key.

FieldInTypeRequiredNotes
emailbodystringYes
passwordbodystringYes
curl -X POST https://agakural.online/api/login \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"email": "email", "password": "password"}'

POST /api/logout

Create logout. Authenticate with your account api key.

curl -X POST https://agakural.online/api/logout \
  -H "Authorization: Bearer $TOKEN"

GET /api/packs

Get packs. Authenticate with your account api key.

curl -X GET https://agakural.online/api/packs \
  -H "Authorization: Bearer $TOKEN"

POST /api/packs/{key}/apply

Create packs apply. Authenticate with your account api key.

FieldInTypeRequiredNotes
keypathstringYes
channel_idbodystringYes
curl -X POST https://agakural.online/api/packs/{key}/apply \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"channel_id": "channel_id"}'

POST /api/signup

Create signup. Authenticate with your account api key.

FieldInTypeRequiredNotes
namebodystringYesUp to 120 characters
emailbodystringYesFormat: email
passwordbodystringYesUp to 200 characters
phonebodystringNoUp to 20 characters
accept_termsbodyobjectYesOne of: true
accept_riskbodyobjectYesOne of: true
invite_codebodystringNo
whatsapp_tipsbodybooleanNo
sourcebodyobjectNo
curl -X POST https://agakural.online/api/signup \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name": "name", "email": "email", "password": "password", "accept_terms": "accept_terms", "accept_risk": "accept_risk"}'

GET /api/team

Get team. Authenticate with your account api key.

curl -X GET https://agakural.online/api/team \
  -H "Authorization: Bearer $TOKEN"

POST /api/team

Create team. Authenticate with your account api key.

FieldInTypeRequiredNotes
emailbodystringYesFormat: email
namebodystringYesUp to 120 characters
rolebodyobjectYesOne of: admin, viewer
passwordbodystringYesUp to 200 characters
curl -X POST https://agakural.online/api/team \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"email": "email", "name": "name", "role": "role", "password": "password"}'

DELETE /api/team/{user}

Delete a team. Authenticate with your account api key.

FieldInTypeRequiredNotes
userpathstringYes
curl -X DELETE https://agakural.online/api/team/{user} \
  -H "Authorization: Bearer $TOKEN"

PATCH /api/team/{user}

Update a team. Authenticate with your account api key.

FieldInTypeRequiredNotes
userpathstringYes
rolebodyobjectYesOne of: admin, viewer
curl -X PATCH https://agakural.online/api/team/{user} \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"role": "role"}'

POST /api/webhooks/{deliveryId}/redeliver

Create webhooks redeliver. Authenticate with your account api key.

FieldInTypeRequiredNotes
deliveryIdpathstringYes
curl -X POST https://agakural.online/api/webhooks/{deliveryId}/redeliver \
  -H "Authorization: Bearer $TOKEN"